File: dist.ini

package info (click to toggle)
libdist-zilla-perl 6.017-1
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 1,680 kB
  • sloc: perl: 7,041; makefile: 4; sh: 1
file content (87 lines) | stat: -rw-r--r-- 2,708 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
name    = Dist-Zilla
author  = Ricardo SIGNES 😏 <rjbs@cpan.org>
license = Perl_5
copyright_holder = Ricardo SIGNES

[@RJBS]
github_issues = 1
homepage      = http://dzil.org/
package_name_version = 1

[ModuleShareDirs]
Dist::Zilla::MintingProfile::Default = profiles

[MetaNoIndex]
dir = corpus
dir = misc

[MetaResources]
x_IRC = irc://irc.perl.org/#distzilla
x_MailingList = http://dzil.org/#mailing-list

[Prereqs / TestRequires]
Test::More = 0.90

[Prereqs / RuntimeRecommends]
Term::ReadLine::Gnu = 0
Archive::Tar::Wrapper = 0.15
; https://github.com/rjbs/Data-OptList/pull/1
Data::OptList = 0.110

; default install util for dzil, otherwise you need to specify
;     (e.g. "dzil install --install-command cpan")  
App::cpanminus = 0

[Prereqs / RuntimeSuggests]
PPI::XS = 0

[Prereqs]
perl    = v5.14.0 ; how tempted am I to set this to v5.20?  very!

parent  = 0 ; used by the AutoPrereq test corpus

File::ShareDir::Install  = 0.03 ; for EUMM
Class::Load              = 0.17
Config::MVP              = 2.200011 ; add cwd to lib during config reading
Config::MVP::Reader::INI = 2.101461 ; allow spaces in plugin name
Data::Section            = 0.200000 ; default encodings to UTF-8
ExtUtils::Manifest       = 1.54     ; for ManifestSkip that needs maniskip()
Mixin::Linewise::Readers = 0.100    ; default encodings to UTF-8

DateTime = 0.44 ; CLDR fixes, used by AutoVersion and NextRelease

[OSPrereqs / MSWin32]
DateTime::TimeZone = 1.92

[RemovePrereqs]
remove = Config ; why isn't this indexed?? -- rjbs, 2011-02-11
remove = Dist::Zilla::Tester::_Role ; mistakenly added by autoprereq
remove = Some::Package::That::Does::Not::Exist::Due::To::A::Typo
remove = Path::Class    ; only used in fallback code

[CPANFile]

[Breaks]
Dist::Zilla::Plugin::MakeMaker::Awesome = < 0.22
Dist::Zilla::App::Command::stale = < 0.040
Dist::Zilla::Plugin::TrialVersionComment = <= 0.003
Dist::Zilla::Plugin::Run = <= 0.035
Dist::Zilla::App::Command::update = <= 0.04
Dist::Zilla::Plugin::Author::Plicease::Tests = <= 2.02
Dist::Zilla::Plugin::CopyFilesFromBuild::Filtered = <= 0.001
Dist::Zilla::Plugin::Prereqs::AuthorDeps = <= 0.005
Dist::Zilla::Plugin::Test::Version = <= 1.05
Dist::Zilla::Plugin::CopyFilesFromBuild = < 0.161230
Dist::Zilla::Plugin::ReadmeAnyFromPod = < 0.161170
Dist::Zilla::Plugin::PodWeaver = <= 4.006
Dist::Zilla::Plugin::Test::CheckDeps = <= 0.013
Dist::Zilla::Plugin::Git = <= 2.036
Dist::Zilla::Plugin::Keywords = <= 0.006
Dist::Zilla::Plugin::RepoFileInjector = <= 0.005
Dist::Zilla::App::Command::xtest = < 0.029
Dist::Zilla::Plugin::NameFromDirectory = <= 0.03

[Test::CheckBreaks]
:version = 0.017
conflicts_module = Moose::Conflicts
conflicts_module = Module::Runtime::Conflicts